#version 330 core

in vec2 uv;

out vec4 color;

uniform sampler2D text_texture;
uniform vec3 text_colour;

void main()
{
	vec4 texture = vec4(1.0, 1.0, 1.0, texture(text_texture, uv).r);
	color = vec4(text_colour, 1.0) * texture;
}